LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   AIX (http://www.linuxquestions.org/questions/aix-43/)
-   -   Issue with installing rpm in AIX 6.1 (http://www.linuxquestions.org/questions/aix-43/issue-with-installing-rpm-in-aix-6-1-a-4175445506/)

gaugeta 01-14-2013 03:22 AM

Issue with installing rpm in AIX 6.1
 
I am trying to install an rpm : libiconv-1.14-1.aix5.1.ppc.rpm which is a dependency to install GIT.

While I gave the command I got the foll message:
Code:

rpm -i -v libiconv-1.14-1.aix5.1.ppc.rpm
libiconv-1.14-1
ar: Cannot open or remove a file containing a running program.
ar: 0707-113 The fopen system call failed on file /opt/freeware/lib/libiconv.a.
ar: Cannot open or remove a file containing a running program.
ar: 0707-113 The fopen system call failed on file /opt/freeware/lib/libiconv.a.

But when I gave the rpm -qa command the package is listed as libiconv-1.14-1 but does not work correctly.

How can I correctly install this rpm.

smallpond 01-14-2013 12:52 PM

AIX doesn't like to overwrite a library that is in use. Run slibclean to remove unused shared libraries from memory, then reinstall. You may need to use --force if it thinks the latest version is already installed.

NevemTeve 01-28-2013 09:39 AM

1. Try to use rpm -Uv instead of rpm -iv
2. Try to rename /opt/freeware/lib/libiconv.a to something else before running rpm. (Rpm might stop working though -- then undo it.)


All times are GMT -5. The time now is 07:56 AM.